package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 投决申请对象 t_project_decision
 * 
 * @author zjc
 * @date 2024-04-02
 */
@Data
public class TProjectDecision extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String projectPoolId;

    /** 项目名称 */
    private String projectName;

    /** 参与人ID */
    @Excel(name = "参与人ID")
    private String participantsId;

    /** 参与人 */
    @Excel(name = "参与人")
    private String participants;

    /** 股权/其他合作商务条款 */
    @Excel(name = "股权/其他合作商务条款")
    private String provision;

    /** 状态 */
    private String delFlag;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;
    /**
     * 其他附件信息
     */
    private List<TUnifyFile> otherFile;
    /**
     * 是否需要投决会议
     */
    private String needMeeting;//0否1是
    /**
     * 流程状态
     */
    @ApiModelProperty("流程状态")
    private Integer status;//流程状态（ //0暂存1已提交2审批中3审批通过4关闭）

    //表外
    private String procInstId;//流程实例Id
    private String taskName;
    private String taskDefKey;

    private boolean flag; // true - 同意; false - 驳回
    private String isTerminate; // 是否终止 0 - 否/观望; 1 - 是/终止

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setParticipantsId(String participantsId) 
    {
        this.participantsId = participantsId;
    }

    public String getParticipantsId() 
    {
        return participantsId;
    }
    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }
    public void setProvision(String provision) 
    {
        this.provision = provision;
    }

    public String getProvision() 
    {
        return provision;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("participantsId", getParticipantsId())
            .append("participants", getParticipants())
            .append("provision", getProvision())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
